## seer 1.1.1

=== src/Makefile ===
# Default prefix. Can change this to system directories if needed
PREFIX=${HOME}/software
BINDIR=$(PREFIX)/bin

# Intel compiler - uncomment if you have icpc and mkl.
# gcc
#CXX=icpc
#CXXFLAGS=-Wall -O3 -parallel -ipo -std=c++11
#SEER_LDLIBS=-L../gzstream -L$(PREFIX)/lib -lhdf5 -lgzstream -lz -larmadillo -lboost_program_options -mkl
#MAP_LDLIBS=-L$(PREFIX)/lib -lboost_program_options -mkl
#COMBINE_LDLIBS=-L../gzstream -L$(PREFIX)/lib -lgzstream -lz -lboost_program_options
#FILTER_LDLIBS=-L$(PREFIX)/lib -lboost_program_options -mkl
# gcc
CXXFLAGS=-Wall -O3 -std=c++11
SEER_LDLIBS=-L../gzstream -L$(PREFIX)/lib -lhdf5 -lgzstream -lz -larmadillo -lboost_program_options -llapack -lblas -lpthread
MAP_LDLIBS=-L$(PREFIX)/lib -lboost_program_options -lpthread
COMBINE_LDLIBS=-L../gzstream -L$(PREFIX)/lib -lgzstream -lz -lboost_program_options
FILTER_LDLIBS=-L$(PREFIX)/lib -lboost_program_options

CPPFLAGS=-I$(PREFIX)/include -I../gzstream -I../dlib -I/usr/local/hdf5/include -D DLIB_NO_GUI_SUPPORT=1 -D DLIB_USE_BLAS=1 -D DLIB_USE_LAPACK=1 -DARMA_USE_HDF5=1

# For static linking. To use type 'make static'
# Requires icpc and mkl
COMMON_LDLIBS=-L../gzstream -L$(PREFIX)/lib -static-libstdc++ -static-libgcc -static-intel
SEER_STATIC_LDLIBS=$(COMMON_LDLIBS) -Wl,-Bstatic -lhdf5 -lgzstream -larmadillo -lboost_program_options -Wl,-Bdynamic -lz -Wl,--start-group ${MKLROOT}/lib/intel64/libmkl_intel_ilp64.a ${MKLROOT}/lib/intel64/libmkl_core.a ${MKLROOT}/lib/intel64/libmkl_sequential.a -Wl,--end-group
MAP_STATIC_LDLIBS=$(COMMON_LDLIBS) -Wl,-Bstatic -lboost_program_options -Wl,-Bdynamic
COMBINE_STATIC_LDLIBS=$(COMMON_LDLIBS) -Wl,-Bstatic -lgzstream -lboost_program_options -Wl,-Bdynamic -lz
FILTER_STATIC_LDLIBS=-$(COMMON_LDLIBS) -Wl,-Bstatic -lboost_program_options -Wl,-Bdynamic

PROGRAMS=seer kmds map_back combineKmers filter_seer
STATIC_PROGRAMS=seer_static kmds_static map_back_static combineKmers_static filter_seer_static

CLASSES=sample.o significant_kmer.o kmer.o covar.o
COMMON_OBJECTS=$(CLASSES) seerCommon.o seerErr.o seerFilter.o seerIO.o seerChiFilter.o
SEER_OBJECTS=$(COMMON_OBJECTS) seerMain.o seerCmdLine.o seerContinuousAssoc.o seerBinaryAssoc.o logitFunction.o linearFunction.o
KMDS_OBJECTS=$(COMMON_OBJECTS) kmdsMain.o kmdsStruct.o kmdsCmdLine.o
MAP_OBJECTS=fasta.o significant_kmer.o mapMain.o mapCmdLine.o
COMBINE_OBJECTS=combineInit.o combineCmdLine.o combineKmers.o
FILTER_OBJECTS=significant_kmer.o filter_seer.o filterCmdLine.o

all: $(PROGRAMS)

static: $(STATIC_PROGRAMS)

clean:
	$(RM) *.o ~* $(PROGRAMS)

install: all
	install -d $(BINDIR)
	install $(PROGRAMS) $(BINDIR)

seer: $(SEER_OBJECTS)
	$(LINK.cpp) $^ $(SEER_LDLIBS) -o $@

kmds: $(KMDS_OBJECTS)
	$(LINK.cpp) $^ $(SEER_LDLIBS) -o $@

map_back: $(MAP_OBJECTS)
	$(LINK.cpp) $^ $(MAP_LDLIBS) -o $@

combineKmers: $(COMBINE_OBJECTS)
	$(LINK.cpp) $^ $(COMBINE_LDLIBS) -o $@

filter_seer: $(FILTER_OBJECTS)
	$(LINK.cpp) $^ $(FILTER_LDLIBS) -o $@

seer_static: $(SEER_OBJECTS)
	$(LINK.cpp) $^ $(SEER_STATIC_LDLIBS) -o seer

kmds_static: $(KMDS_OBJECTS)
	$(LINK.cpp) $^ $(SEER_STATIC_LDLIBS) -o kmds

map_back_static: $(MAP_OBJECTS)
	$(LINK.cpp) $^ $(MAP_STATIC_LDLIBS) -o map_back

combineKmers_static: $(COMBINE_OBJECTS)
	$(LINK.cpp) $^ $(COMBINE_STATIC_LDLIBS) -o combineKmers

filter_seer_static: $(FILTER_OBJECTS)
	$(LINK.cpp) $^ $(FILTER_STATIC_LDLIBS) -o filter_seer


.PHONY: all static test clean install

=== debian/changelog ===
seer (1.1.1-2build1) yakkety; urgency=medium

  * No-change rebuild for boost soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 04 Aug 2016 08:32:07 +0000

seer (1.1.1-2) unstable; urgency=medium

  * use -DARMA_USE_HDF5=1

 -- Andreas Tille <tille@debian.org>  Tue, 19 Apr 2016 10:39:15 +0200

seer (1.1.1-1) unstable; urgency=medium

  * New upstream version
  * Moved packaging from SVN to Git
  * Suggests: fsm-lite
  * Add notice to log if test fails but continue building anyway

 -- Andreas Tille <tille@debian.org>  Thu, 14 Apr 2016 13:33:36 +0200

seer (1.1.0-1) unstable; urgency=medium

  * Initial release (Closes: #819674)

 -- Andreas Tille <tille@debian.org>  Thu, 31 Mar 2016 22:35:05 +0200

=== debian/control ===
Source: seer
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 9),
               libarmadillo-dev,
               libdlib-dev,
               libhdf5-dev,
#              libhdf5-mpi-dev,
               libgzstream-dev,
               libboost-dev,
               libboost-program-options-dev
Standards-Version: 3.9.7
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/seer.git
Vcs-Git: https://anonscm.debian.org/git/debian-med/seer.git
Homepage: https://github.com/johnlees/seer

Package: seer
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libtext-csv-perl
Suggests: fsm-lite
Description: genomic sequence element (kmer) enrichment analysis
 Bacterial genomes vary extensively in terms of both gene content and
 gene sequence - this plasticity hampers the use of traditional SNP-based
 methods for identifying all genetic associations with phenotypic
 variation. SEER provides a computationally scalable and widely
 applicable statistical method for the identification of sequence
 elements that are significantly enriched in a phenotype of interest.
 SEER is applicable to even tens of thousands of genomes by counting variable-
 length k-mers using a distributed string-mining algorithm. Robust
 options are provided for association analysis that also correct for the
 clonal population structure of bacteria. Using large collections of
 genomes of the major human pathogen Streptococcus pneumoniae, SEER
 identifies relevant previously characterised resistance determinants for
 several antibiotics.

=== debian/watch ===
version=3

https://github.com/johnlees/seer/releases .*/archive/v(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)

## seer 1.1.2

=== src/Makefile ===
--- 
+++ 
@@ -21,11 +21,20 @@
 
 # For static linking. To use type 'make static'
 # Requires icpc and mkl
+# Dynamically links libm, libz, libc
 COMMON_LDLIBS=-L../gzstream -L$(PREFIX)/lib -static-libstdc++ -static-libgcc -static-intel
 SEER_STATIC_LDLIBS=$(COMMON_LDLIBS) -Wl,-Bstatic -lhdf5 -lgzstream -larmadillo -lboost_program_options -Wl,-Bdynamic -lz -Wl,--start-group ${MKLROOT}/lib/intel64/libmkl_intel_ilp64.a ${MKLROOT}/lib/intel64/libmkl_core.a ${MKLROOT}/lib/intel64/libmkl_sequential.a -Wl,--end-group
 MAP_STATIC_LDLIBS=$(COMMON_LDLIBS) -Wl,-Bstatic -lboost_program_options -Wl,-Bdynamic
 COMBINE_STATIC_LDLIBS=$(COMMON_LDLIBS) -Wl,-Bstatic -lgzstream -lboost_program_options -Wl,-Bdynamic -lz
 FILTER_STATIC_LDLIBS=-$(COMMON_LDLIBS) -Wl,-Bstatic -lboost_program_options -Wl,-Bdynamic
+
+# Full static linking with gcc
+#COMMON_LDLIBS=-L../gzstream -L$(PREFIX)/lib -static -static-libstdc++ -static-libgcc
+#SEER_LDLIBS=$(COMMON_LDLIBS) -L../gzstream -L$(PREFIX)/lib -lhdf5 -lgzstream -lz -larmadillo -lboost_program_options -llapack -lblas -lpthread -lgfortran -lquadmath -lm
+#MAP_LDLIBS=$(COMMON_LDLIBS) -L$(PREFIX)/lib -lboost_program_options -lpthread
+#COMBINE_LDLIBS=$(COMMON_LDLIBS) -L../gzstream -L$(PREFIX)/lib -lgzstream -lz -lboost_program_options
+#FILTER_LDLIBS=$(COMMON_LDLIBS) -L$(PREFIX)/lib -lboost_program_options
+#
 
 PROGRAMS=seer kmds map_back combineKmers filter_seer
 STATIC_PROGRAMS=seer_static kmds_static map_back_static combineKmers_static filter_seer_static

=== debian/changelog ===
seer (1.1.2-3) unstable; urgency=medium

  * Better documentation of scripts

 -- Andreas Tille <tille@debian.org>  Thu, 23 Mar 2017 14:33:36 +0100

seer (1.1.2-2) unstable; urgency=medium

  * Install all available scripts in scripts/ dir into binary package
    Closes: #858430

 -- Andreas Tille <tille@debian.org>  Wed, 22 Mar 2017 11:43:16 +0100

seer (1.1.2-1) unstable; urgency=medium

  * New upstream version
  * Add versioned Build-Depends libarmadillo-dev
  * debhelper 10
  * d/watch: version=4

 -- Andreas Tille <tille@debian.org>  Wed, 07 Dec 2016 23:05:02 +0100

=== debian/control ===
--- 
+++ 
@@ -3,15 +3,15 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 9),
-               libarmadillo-dev,
+Build-Depends: debhelper (>= 10),
+               libarmadillo-dev  (>= 1:6.700.6+dfsg-1~),
                libdlib-dev,
                libhdf5-dev,
 #              libhdf5-mpi-dev,
                libgzstream-dev,
                libboost-dev,
                libboost-program-options-dev
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/seer.git
 Vcs-Git: https://anonscm.debian.org/git/debian-med/seer.git
 Homepage: https://github.com/johnlees/seer

## seer 1.1.4

=== DESCRIPTION ===
Package: seer
Type: Package
Title: Feature-Based Forecast Model Selection
Version: 1.1.4
Authors@R: c(
    person("Thiyanga", "Talagala", email = "tstalagala@gmail.com", role = c("aut", "cre"), comment=c(ORCID = "0000-0002-0656-9789")),
    person("Rob J", "Hyndman", role = c("ths", "aut"), comment = c(ORCID = "0000-0002-2140-5352")),
    person("George", "Athanasopoulos", role = c("ths", "aut")))
Maintainer: Thiyanga Talagala <tstalagala@gmail.com>
Description: A novel meta-learning framework for forecast model selection using time series features. Many applications require a large number of time series to be forecast. Providing better forecasts for these time series is important in decision and policy making. We propose a classification framework which selects forecast models based on features calculated from the time series. We call this framework FFORMS (Feature-based FORecast Model Selection). FFORMS builds a mapping that relates the features of time series to the best forecast model using a random forest. 'seer' package is the implementation of the FFORMS algorithm. For more details see our paper at <https://www.monash.edu/business/econometrics-and-business-statistics/research/publications/ebs/wp06-2018.pdf>.
License: GPL-3
Depends: R (>= 3.2.3),
Imports: stats, urca, forecast (>= 8.3), tsfeatures, dplyr, magrittr,
        randomForest, Mcomp, forecTheta, stringr, tibble, purrr,
        ForeCA, future, furrr, utils, repmis
Encoding: UTF-8
RoxygenNote: 6.1.1
Suggests: testthat (>= 2.1.0), covr
NeedsCompilation: no
Packaged: 2020-02-21 09:53:35 UTC; thiyangashaminitalagala
Author: Thiyanga Talagala [aut, cre] (<https://orcid.org/0000-0002-0656-9789>),
  Rob J Hyndman [ths, aut] (<https://orcid.org/0000-0002-2140-5352>),
  George Athanasopoulos [ths, aut]
Repository: CRAN
Date/Publication: 2020-02-21 17:20:03 UTC

=== Makefile ===
export PREFIX=${HOME}/software
export BINDIR=$(PREFIX)/bin

all:
	cd src && $(MAKE) all

clean:
	cd src && $(MAKE) clean
	cd test && $(MAKE) clean

install: all
	cd src && $(MAKE) install

test: all
	cd test && $(MAKE) test

.PHONY: all clean install test

=== src/Makefile ===
--- 
+++ 
@@ -12,7 +12,7 @@
 #FILTER_LDLIBS=-L$(PREFIX)/lib -lboost_program_options -mkl
 # gcc
 CXXFLAGS=-Wall -O3 -std=c++11
-SEER_LDLIBS=-L../gzstream -L$(PREFIX)/lib -lhdf5 -lgzstream -lz -larmadillo -lboost_program_options -llapack -lblas -lpthread
+SEER_LDLIBS=-L../gzstream -L$(PREFIX)/lib -L/usr/local/hdf5/lib -lhdf5 -lgzstream -lz -larmadillo -lboost_program_options -llapack -lblas -lpthread
 MAP_LDLIBS=-L$(PREFIX)/lib -lboost_program_options -lpthread
 COMBINE_LDLIBS=-L../gzstream -L$(PREFIX)/lib -lgzstream -lz -lboost_program_options
 FILTER_LDLIBS=-L$(PREFIX)/lib -lboost_program_options
@@ -40,8 +40,8 @@
 STATIC_PROGRAMS=seer_static kmds_static map_back_static combineKmers_static filter_seer_static
 
 CLASSES=sample.o significant_kmer.o kmer.o covar.o
-COMMON_OBJECTS=$(CLASSES) seerCommon.o seerErr.o seerFilter.o seerIO.o seerChiFilter.o
-SEER_OBJECTS=$(COMMON_OBJECTS) seerMain.o seerCmdLine.o seerContinuousAssoc.o seerBinaryAssoc.o logitFunction.o linearFunction.o
+COMMON_OBJECTS=$(CLASSES) seerCommon.o seerErr.o seerIO.o seerBasicFilter.o
+SEER_OBJECTS=$(COMMON_OBJECTS) seerMain.o seerCmdLine.o seerStats.o seerContinuousAssoc.o seerBinaryAssoc.o logitFunction.o linearFunction.o
 KMDS_OBJECTS=$(COMMON_OBJECTS) kmdsMain.o kmdsStruct.o kmdsCmdLine.o
 MAP_OBJECTS=fasta.o significant_kmer.o mapMain.o mapCmdLine.o
 COMBINE_OBJECTS=combineInit.o combineCmdLine.o combineKmers.o

=== test/Makefile ===
all:
	./run_test.pl && touch tests_passed

clean:
	$(RM) *.o ~* tests_passed

test: all

.PHONY: all clean install test

=== debian/changelog ===
seer (1.1.4-1build1) bionic; urgency=medium

  * No-change rebuild for armadillo soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 16 Nov 2017 16:10:55 +0000

seer (1.1.4-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.1.0 (no changes needed)

 -- Andreas Tille <tille@debian.org>  Thu, 28 Sep 2017 13:20:25 +0200

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                libgzstream-dev,
                libboost-dev,
                libboost-program-options-dev
-Standards-Version: 3.9.8
+Standards-Version: 4.1.0
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/seer.git
 Vcs-Git: https://anonscm.debian.org/git/debian-med/seer.git
 Homepage: https://github.com/johnlees/seer

=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1
DEBPKGNAME     := $(shell dpkg-parsechangelog | awk '/^Source:/ {print $$2}')

include /usr/share/dpkg/architecture.mk
export CPATH := /usr/include/hdf5/serial
export LIBRARY_PATH := /usr/lib/$(DEB_TARGET_MULTIARCH)/hdf5/serial

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

CMAKE_EXTRA_FLAGS += -DARMA_USE_HDF5=1

override_dh_auto_install:
	dh_auto_install -- PREFIX=$(CURDIR)/debian/$(DEBPKGNAME)/usr
	for pl in scripts/*.pl ; do \
	    plbase=`basename $${pl} .pl` ; \
	    sed "s+Usage: ./$${plbase}.pl+Usage: $${plbase}+" $${pl} > $(CURDIR)/debian/$(DEBPKGNAME)/usr/bin/$${plbase} ; \
	done
	# Fix broken usage hint:
	sed -i "s+Usage: ./hits_to_matrix.pl+Usage: reformat_output+" $(CURDIR)/debian/$(DEBPKGNAME)/usr/bin/reformat_output

%:
	dh $@

override_dh_auto_test:
	if dh_auto_test ; then echo Test passed ; else echo '****************************** TEST FAILED.  Please contact upstream *******************************' ; fi

=== debian/watch ===
version=4

https://github.com/johnlees/seer/releases .*/archive/v(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)

## seer 1.1.5

=== DESCRIPTION ===
Package: seer
Type: Package
Title: Feature-Based Forecast Model Selection
Version: 1.1.5
Authors@R: c(
    person("Thiyanga", "Talagala", email = "tstalagala@gmail.com", role = c("aut", "cre"), comment=c(ORCID = "0000-0002-0656-9789")),
    person("Rob J", "Hyndman", role = c("ths", "aut"), comment = c(ORCID = "0000-0002-2140-5352")),
    person("George", "Athanasopoulos", role = c("ths", "aut")))
Maintainer: Thiyanga Talagala <tstalagala@gmail.com>
Description: A novel meta-learning framework for forecast model selection using time series features. Many applications require a large number of time series to be forecast. Providing better forecasts for these time series is important in decision and policy making. We propose a classification framework which selects forecast models based on features calculated from the time series. We call this framework FFORMS (Feature-based FORecast Model Selection). FFORMS builds a mapping that relates the features of time series to the best forecast model using a random forest. 'seer' package is the implementation of the FFORMS algorithm. For more details see our paper at <https://www.monash.edu/business/econometrics-and-business-statistics/research/publications/ebs/wp06-2018.pdf>.
License: GPL-3
Depends: R (>= 3.2.3)
Imports: stats, urca, forecast (>= 8.3), dplyr, magrittr, randomForest,
        forecTheta, stringr, tibble, purrr, future, furrr, utils,
        tsfeatures, MASS
Encoding: UTF-8
RoxygenNote: 7.1.0
Suggests: testthat (>= 2.1.0), covr, repmis, knitr, rmarkdown, ggplot2,
        tidyr, Mcomp, GGally
NeedsCompilation: no
Packaged: 2020-06-06 13:18:06 UTC; thiyangashaminitalagala
Author: Thiyanga Talagala [aut, cre] (<https://orcid.org/0000-0002-0656-9789>),
  Rob J Hyndman [ths, aut] (<https://orcid.org/0000-0002-2140-5352>),
  George Athanasopoulos [ths, aut]
Repository: CRAN
Date/Publication: 2020-06-08 05:00:02 UTC

## seer 1.1.6

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: seer
 Type: Package
 Title: Feature-Based Forecast Model Selection
-Version: 1.1.5
+Version: 1.1.6
 Authors@R: c(
     person("Thiyanga", "Talagala", email = "tstalagala@gmail.com", role = c("aut", "cre"), comment=c(ORCID = "0000-0002-0656-9789")),
     person("Rob J", "Hyndman", role = c("ths", "aut"), comment = c(ORCID = "0000-0002-2140-5352")),
@@ -14,13 +14,13 @@
         forecTheta, stringr, tibble, purrr, future, furrr, utils,
         tsfeatures, MASS
 Encoding: UTF-8
-RoxygenNote: 7.1.0
+RoxygenNote: 7.1.1
 Suggests: testthat (>= 2.1.0), covr, repmis, knitr, rmarkdown, ggplot2,
         tidyr, Mcomp, GGally
 NeedsCompilation: no
-Packaged: 2020-06-06 13:18:06 UTC; thiyangashaminitalagala
+Packaged: 2021-06-01 02:43:35 UTC; thiyangashaminitalagala
 Author: Thiyanga Talagala [aut, cre] (<https://orcid.org/0000-0002-0656-9789>),
   Rob J Hyndman [ths, aut] (<https://orcid.org/0000-0002-2140-5352>),
   George Athanasopoulos [ths, aut]
 Repository: CRAN
-Date/Publication: 2020-06-08 05:00:02 UTC
+Date/Publication: 2021-06-01 04:50:02 UTC

## seer 1.1.7

=== DESCRIPTION ===
Package: seer
Type: Package
Title: Feature-Based Forecast Model Selection
Version: 1.1.7
Authors@R: c(
    person("Thiyanga", "Talagala", email = "tstalagala@gmail.com", role = c("aut", "cre"), comment=c(ORCID = "0000-0002-0656-9789")),
    person("Rob J", "Hyndman", role = c("ths", "aut"), comment = c(ORCID = "0000-0002-2140-5352")),
    person("George", "Athanasopoulos", role = c("ths", "aut")))
Maintainer: Thiyanga Talagala <tstalagala@gmail.com>
Description: A novel meta-learning framework for forecast model selection using time series features. Many applications require a large number of time series to be forecast. Providing better forecasts for these time series is important in decision and policy making. We propose a classification framework which selects forecast models based on features calculated from the time series. We call this framework FFORMS (Feature-based FORecast Model Selection). FFORMS builds a mapping that relates the features of time series to the best forecast model using a random forest. 'seer' package is the implementation of the FFORMS algorithm. For more details see our paper at <https://www.monash.edu/business/econometrics-and-business-statistics/research/publications/ebs/wp06-2018.pdf>.
License: GPL-3
URL: https://thiyangt.github.io/seer/
BugReports: https://github.com/thiyangt/seer/issues
Depends: R (>= 3.2.3)
Imports: stats, urca, forecast (>= 8.3), dplyr, magrittr, randomForest,
        forecTheta, stringr, tibble, purrr, future, furrr, utils,
        tsfeatures, MASS
Encoding: UTF-8
RoxygenNote: 7.1.2
Suggests: testthat (>= 2.1.0), covr, repmis, knitr, rmarkdown, ggplot2,
        tidyr, Mcomp, GGally
NeedsCompilation: no
Packaged: 2021-12-08 02:23:18 UTC; thiyangashaminitalagala
Author: Thiyanga Talagala [aut, cre] (<https://orcid.org/0000-0002-0656-9789>),
  Rob J Hyndman [ths, aut] (<https://orcid.org/0000-0002-2140-5352>),
  George Athanasopoulos [ths, aut]
Repository: CRAN
Date/Publication: 2021-12-08 05:20:02 UTC

## seer 1.1.8

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: seer
 Type: Package
 Title: Feature-Based Forecast Model Selection
-Version: 1.1.7
+Version: 1.1.8
 Authors@R: c(
     person("Thiyanga", "Talagala", email = "tstalagala@gmail.com", role = c("aut", "cre"), comment=c(ORCID = "0000-0002-0656-9789")),
     person("Rob J", "Hyndman", role = c("ths", "aut"), comment = c(ORCID = "0000-0002-2140-5352")),
@@ -14,15 +14,15 @@
 Depends: R (>= 3.2.3)
 Imports: stats, urca, forecast (>= 8.3), dplyr, magrittr, randomForest,
         forecTheta, stringr, tibble, purrr, future, furrr, utils,
-        tsfeatures, MASS
+        tsfeatures
 Encoding: UTF-8
-RoxygenNote: 7.1.2
+RoxygenNote: 7.2.1
 Suggests: testthat (>= 2.1.0), covr, repmis, knitr, rmarkdown, ggplot2,
         tidyr, Mcomp, GGally
 NeedsCompilation: no
-Packaged: 2021-12-08 02:23:18 UTC; thiyangashaminitalagala
+Packaged: 2022-10-01 06:53:39 UTC; thiyangashaminitalagala
 Author: Thiyanga Talagala [aut, cre] (<https://orcid.org/0000-0002-0656-9789>),
   Rob J Hyndman [ths, aut] (<https://orcid.org/0000-0002-2140-5352>),
   George Athanasopoulos [ths, aut]
 Repository: CRAN
-Date/Publication: 2021-12-08 05:20:02 UTC
+Date/Publication: 2022-10-01 07:10:02 UTC
